Bug 834855 - SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from append, open access on the file C:\nppdf32Log\debuglog.txt. [NEEDINFO]
SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from append, open...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:b04531ad492d7da16635716a2ec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 06:18 EDT by B P Das
Modified: 2012-06-25 04:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-25 04:12:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgrepl: needinfo? (bpdas2008)


Attachments (Terms of Use)

  None (edit)
Description B P Das 2012-06-24 06:18:36 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.3-1.fc17.i686
time:           Sun 24 Jun 2012 03:48:30 PM IST

description:
:SELinux is preventing /usr/lib/nspluginwrapper/npviewer.bin from append, open access on the file C:\nppdf32Log\debuglog.txt.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that npviewer.bin should be allowed append open access on the C:\nppdf32Log\debuglog.txt file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep npviewer.bin /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                C:\nppdf32Log\debuglog.txt [ file ]
:Source                        npviewer.bin
:Source Path                   /usr/lib/nspluginwrapper/npviewer.bin
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           nspluginwrapper-1.4.4-9.fc17.i686
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-132.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.3-1.fc17.i686 #1 SMP Mon Jun 18
:                              20:52:37 UTC 2012 i686 i686
:Alert Count                   1
:First Seen                    Sun 24 Jun 2012 03:40:42 PM IST
:Last Seen                     Sun 24 Jun 2012 03:40:42 PM IST
:Local ID                      eb6865ed-a6f3-497d-9f36-e593cd927089
:
:Raw Audit Messages
:type=AVC msg=audit(1340532642.744:78): avc:  denied  { append open } for  pid=5867 comm="npviewer.bin" name="C:\nppdf32Log\debuglog.txt" dev="dm-1" ino=535392 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1340532642.744:78): arch=i386 syscall=open success=no exit=EACCES a0=b77c132a a1=441 a2=1b6 a3=8708208 items=0 ppid=5814 pid=5867 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=2 comm=npviewer.bin exe=/usr/lib/nspluginwrapper/npviewer.bin subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)
:
:Hash: npviewer.bin,mozilla_plugin_t,user_home_dir_t,file,append,open
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-06-25 04:12:58 EDT
What and where is "C:\nppdf32Log\debuglog.txt"

I think you need to execute

# restorecon -R -v /home

Note You need to log in before you can comment on or make changes to this bug.